org.hibernate.validator.internal.engine.messageinterpolation.parser

## Class BeginState

- java.lang.Object
- - org.hibernate.validator.internal.engine.messageinterpolation.parser.BeginState

- All Implemented Interfaces:
    ParserState

      public class BeginState
      extends Object
      implements ParserState

  Author:
    Hardy Ferentschik

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BeginState()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handleBeginTerm(char character, TokenCollector tokenCollector)`
    `void` | `handleELDesignator(char character, TokenCollector tokenCollector)`
    `void` | `handleEndTerm(char character, TokenCollector tokenCollector)`
    `void` | `handleEscapeCharacter(char character, TokenCollector tokenCollector)`
    `void` | `handleNonMetaCharacter(char character, TokenCollector tokenCollector)`
    `void` | `start(TokenCollector tokenCollector)`
    `void` | `terminate(TokenCollector tokenCollector)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BeginState

          public BeginState()

  - ### Method Detail

    - #### terminate

          public void terminate(TokenCollector tokenCollector)
                         throws MessageDescriptorFormatException

      Specified by:
        `terminate` in interface `ParserState`
      Throws:
        `MessageDescriptorFormatException`

    - #### start

          public void start(TokenCollector tokenCollector)
                     throws MessageDescriptorFormatException

      Specified by:
        `start` in interface `ParserState`
      Throws:
        `MessageDescriptorFormatException`

    - #### handleNonMetaCharacter

          public void handleNonMetaCharacter(char character,
                                    TokenCollector tokenCollector)
                                      throws MessageDescriptorFormatException

      Specified by:
        `handleNonMetaCharacter` in interface `ParserState`
      Throws:
        `MessageDescriptorFormatException`

    - #### handleBeginTerm

          public void handleBeginTerm(char character,
                             TokenCollector tokenCollector)
                               throws MessageDescriptorFormatException

      Specified by:
        `handleBeginTerm` in interface `ParserState`
      Throws:
        `MessageDescriptorFormatException`

    - #### handleEndTerm

          public void handleEndTerm(char character,
                           TokenCollector tokenCollector)
                             throws MessageDescriptorFormatException

      Specified by:
        `handleEndTerm` in interface `ParserState`
      Throws:
        `MessageDescriptorFormatException`

    - #### handleEscapeCharacter

          public void handleEscapeCharacter(char character,
                                   TokenCollector tokenCollector)
                                     throws MessageDescriptorFormatException

      Specified by:
        `handleEscapeCharacter` in interface `ParserState`
      Throws:
        `MessageDescriptorFormatException`

    - #### handleELDesignator

          public void handleELDesignator(char character,
                                TokenCollector tokenCollector)
                                  throws MessageDescriptorFormatException

      Specified by:
        `handleELDesignator` in interface `ParserState`
      Throws:
        `MessageDescriptorFormatException`

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved